> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance Sheet

> Generate a Balance Sheet, using the specific parameters



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/reports/balanceSheet
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/reports/balanceSheet:
    post:
      tags:
        - Reports
      summary: Balance Sheet
      description: Generate a Balance Sheet, using the specific parameters
      operationId: postBalanceSheet
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/BalanceSheetReportParam'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BalanceSheetReportRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    BalanceSheetReportParam:
      required:
        - endDate
        - exportType
      type: object
      properties:
        grouping:
          type: string
          description: Grouping for the report data, defaults to no grouping
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
        beginDate:
          type: string
          description: >-
            Begin date for this report. Only valid and required when grouping is
            specified.
          format: date
          example: '2023-01-01'
        endDate:
          type: string
          description: End date for this report
          format: date
          example: '2023-12-31'
        exportType:
          type: string
          description: Export type for this report
          enum:
            - HTML
            - PDF
            - JSON
            - XLSX
        emails:
          type: array
          description: >-
            List of emails to which to send the report. Only valid for PDF and
            XLSX exportTypes.
          items:
            type: string
            description: >-
              List of emails to which to send the report. Only valid for PDF and
              XLSX exportTypes.
        ccEmails:
          type: array
          description: >-
            List of emails to be CC'ed on the report email. Only valid for PDF
            and XLSX exportTypes.
          items:
            type: string
            description: >-
              List of emails to be CC'ed on the report email. Only valid for PDF
              and XLSX exportTypes.
        bccEmails:
          type: array
          description: >-
            List of emails to be BCC'ed on the report email. Only valid for PDF
            and XLSX exportTypes.
          items:
            type: string
            description: >-
              List of emails to be BCC'ed on the report email. Only valid for
              PDF and XLSX exportTypes.
        date:
          type: string
          description: >-
            Date the report was generated on (displayed in the footer of the PDF
            report)
          format: date
          example: '2023-01-01'
    BalanceSheetReportRetVal:
      type: object
      properties:
        result:
          type: string
          description: Result of the action performed
          enum:
            - SUCCESS
            - FAILURE_VALIDATION_ERROR
            - FAILURE_NO_DATA
            - FAILURE_UNKNOWN_ERROR
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        meta:
          $ref: '#/components/schemas/BalanceSheetReportMeta'
        html:
          type: string
          description: HTML of the report
        json:
          $ref: '#/components/schemas/BalanceSheetJsonDTO'
        url:
          type: string
          description: Url at which the downloadable report is located
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    BalanceSheetReportMeta:
      type: object
      properties:
        title:
          type: string
        businesses:
          type: array
          items:
            type: string
        generatedOn:
          type: string
          format: date-time
        generatedBy:
          type: string
        footerLine:
          type: string
        params:
          $ref: '#/components/schemas/BalanceSheetReportParam'
      description: Metadata associated with the report generated
    BalanceSheetJsonDTO:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data'
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
    Data:
      type: object
      properties:
        assets:
          $ref: '#/components/schemas/BaseBalanceSheetDTOWithChildren'
        liabilitiesAndEquity:
          $ref: '#/components/schemas/BalanceSheetDTOLiabilitiesAndEquity'
    BaseBalanceSheetDTOWithChildren:
      type: object
      properties:
        name:
          type: string
          description: A user-friendly name of this node, useful for display purposes
        accountId:
          type: integer
          description: >-
            id of the associated account, referencing an account in the Chart of
            Accounts
          format: int64
        accountNo:
          type: string
          description: >-
            Number of the associated account, referencing an account in the
            Chart of Accounts
        total:
          type: number
          description: The total amount of this node
        children:
          type: array
          items:
            type: object
    BalanceSheetDTOLiabilitiesAndEquity:
      type: object
      properties:
        name:
          type: string
          description: A user-friendly name of this node, useful for display purposes
        total:
          type: number
          description: The total amount of this node
        liabilities:
          $ref: '#/components/schemas/BaseBalanceSheetDTOWithChildren'
        equity:
          $ref: '#/components/schemas/BaseBalanceSheetDTOWithChildren'
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````